Тема: помогите пожалуйста установить пакеты

не как не получается установить следующие пакеты на дебиан
* libxml2 - http://xmlsoft.org/downloads.html
* libxslt - http://xmlsoft.org/XSLT/downloads.html
* curl - http://curl.haxx.se/download.html (>= version 7.10 required)
  NOTE: icecast may be compiled without curl, however this will
        disable all Directory server interaction (YP).
* ogg/vorbis - http://www.vorbis.com/files (>= version 1.0 required)

объясните пошагово пожулуйста если кому не сложно
заранее спс

2

Re: помогите пожалуйста установить пакеты

Похоже, что гугл не любит русских и украинцев... Опять банят и банят...

apt-get install php5-curl libxml2 libxml2-dev libxslt libxslt-dev

Пишите корректно задачу - что Вы пытаетесь установить? И не совершайте, хотя бы, грамматических ошибок.

И вообще, это не форум по администрированию

Re: помогите пожалуйста установить пакеты

root@vseti-nnserver:~# apt-get install php5-curl libxml2 libxml2-dev libxslt libxslt-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'libxslt1-dev' instead of 'libxslt-dev'
E: Unable to locate package libxslt
sad

Re: помогите пожалуйста установить пакеты

пишет Leff27:

Похоже, что гугл не любит русских и украинцев... Опять банят и банят...

apt-get install php5-curl libxml2 libxml2-dev libxslt libxslt-dev

Пишите корректно задачу - что Вы пытаетесь установить? И не совершайте, хотя бы, грамматических ошибок.

И вообще, это не форум по администрированию

пытаюсь установить icecast 2.3.3

5

Re: помогите пожалуйста установить пакеты

Я не помню, мне "тоже лень искать" попробуйте каждую строчку отдельно
apt-get install libxml2-dev
apt-get install libxslt-devel
apt-get install curl-devel
apt-get install libxslt-dev
apt-get install curl
apt-get install curl-dev

Re: помогите пожалуйста установить пакеты

root@vseti-nnserver:~# apt-get install libxslt-devel
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libxslt-devel


скорей всего пакетов просто нет

7

Re: помогите пожалуйста установить пакеты

Установите айскаст с репозитория и сразу все установится нужное
Собирать из исходников задание не для новичков как вы

8

Re: помогите пожалуйста установить пакеты

apt-get install libxml2-dev
mkdir XSLT
cd XSLT
wget ftp://xmlsoft.org/libxml2/libxslt-1.1.26.tar.gz
tar xvf  libxslt-1.1.26.tar.gz
./configure
make
make install
http://radioheart.ru/banners/radioheart_400x40_banner.jpg
RadioHeart.ru: Функциональный радио хостинг с автодиджеем и нонстопом, а так же быстрый виртуальный хостинг. Возможность создать радио за 5 минут, подключить автодиджей и нонстоп.
Отзывы о хостинге

Re: помогите пожалуйста установить пакеты

make[2]: *** [xsltutils.lo] Error 1
make[2]: Leaving directory `/root/XSLT/libxslt-1.1.26/libxslt'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/XSLT/libxslt-1.1.26'
make: *** [all] Error 2

10

Re: помогите пожалуйста установить пакеты

apt-get install icecast2 и не мучайтесь

или идите на соответсвующий форум где научат обращения с linux

11

Re: помогите пожалуйста установить пакеты

У дебиана и генту все это есть в репах яндекса( mirror.yandex.ru) Заюзай их.
Если будешь собирать отдельно, то скачивай .tar.gz архив(или .zip), распаковывай его и юзай

./configure
make && make install

С последним не торопись. Сначала проверь, есть ли ошибки после ./configure.

12

Re: помогите пожалуйста установить пакеты

пишет ykpon:

У дебиана и генту все это есть в репах яндекса( mirror.yandex.ru) Заюзай их.
Если будешь собирать отдельно, то скачивай .tar.gz архив(или .zip), распаковывай его и юзай

./configure
make && make install

С последним не торопись. Сначала проверь, есть ли ошибки после ./configure.

Опа новенькие)